<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fusiontube_upgrade.php
| Author: Nick Jones (Digitanium)
| Version: 1.05
| Author: PHP-Fusion Mods UK
| Developers: Craig & DrunkeN
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."fusion_tube/infusion_db.php";

if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fusion_tube/locale/English.php";
}

$data_version = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = 'fusion_tube'"));	
$version = $data_version['inf_version'];

if (str_replace(".", "", $version) < "105") {
opentable($locale['ft_up001']);
echo "<div style='text-align:center'><br />\n";
echo "<form name='upgradeform' method='post' action='".FUSION_SELF.$aidlink."'>\n";


if (str_replace(".", "", $version) < "105") {
	if (!isset($_POST['stage'])) {
		echo sprintf("A %s ".$locale['ft_up002']."", "".$locale['ft_up003']."")."<br />\n".$locale['ft_up004']."<br /><br />\n";
		echo "<input type='hidden' name='stage' value='2'>\n";
		echo "<input type='submit' name='tube_upgrade' value='".$locale['ft_up005']."' class='button'><br /><br />\n";
	} elseif (isset($_POST['tube_upgrade']) && isset($_POST['stage']) && $_POST['stage'] == 2) {
	
		$result = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='1.05' WHERE inf_folder='fusion_tube'");
	    $result = dbquery("ALTER TABLE ".DB_VIDEO_SETTINGS." ADD player_frame_size VARCHAR(5) NOT NULL DEFAULT '' AFTER player_frame_colour");
		$result = dbquery("UPDATE ".DB_VIDEO_SETTINGS." SET player_frame_size='30'");
	
	add_to_head("<meta http-equiv='refresh' content='5; url=".INFUSIONS."fusion_tube/admin/index.php".$aidlink."' />");
	echo "".$locale['ft_up006']."<br /><br />\n";
	}
} 
else {
	echo "".$locale['ft_up007']."<br /><br />\n";
}
echo "</form>\n</div>\n";
closetable();

}
// Please do not remove copyright info
  include INFUSIONS."fusion_tube/inc/copyright_func.php";
echo showFTcopyright();
require_once THEMES."templates/footer.php";
?>